class CreateShixunWorkComments < ActiveRecord::Migration[5.2]
  def change
    create_table :shixun_work_comments do |t|
      t.references :student_work, index: true, type: :integer
      t.references :challenge, index: true, type: :integer, default: 0
      t.references :user, index: true, type: :integer
      t.text :comment
      t.text :hidden_comment

      t.timestamps
    end
  end
end
